Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0011029
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2009-10-19 10:332009-11-20 00:00
ReporteriperdomoView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision2fe0cdebf427
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_15
OS Version2.6.30-gentoo-r5Database version8.3.8Ant version1.7.1
Product Version2.50MP5SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0011029: Templates shouldn't allow *data package* to avoid database objects

DescriptionBy definition a template is 'a pack with a configuration script', but currently you can add database objects like tables, columns, etc, to a template and this lead the developer to problems.

If you restrict the user to add records in data package tab, you solve future problems, because to add a table and/or column(s) you need a data package.
Steps To Reproduce* Create a module of type _template_
* Add a new table to the application dictionary

Note: This shouldn't be allowed because is a template
Proposed Solution* Check for the type of module. When entering a record in data package tab, if the module is type *template* raise an error explaining the user that this is conceptually wrong.
TagsModularity
Attached Filespng file icon java-package1.png [^] (18,992 bytes) 2009-11-18 23:21

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0021153)
iperdomo (developer)
2009-10-19 10:36

You can also add new windows and tabs, so the combo of modules 'in development' should exclude the templates.
(0021907)
hgbot (developer)
2009-11-17 10:40

Repository: erp/devel/pi
Changeset: 9e2261a24770d2a14eb7eff7e04617a4112c8528
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Nov 17 10:39:32 2009 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9e2261a24770d2a14eb7eff7e04617a4112c8528 [^]

fixed bug 0011029: Templates shouldn't allow *data package*

---
M src-db/database/model/triggers/AD_MODULE_DBPREFIX_TRG.xml
M src-db/database/model/triggers/AD_PACKAGE_JP_TRG.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_VAL_RULE.xml
---
(0021908)
alostale (developer)
2009-11-17 10:41

The fix includes:
-Do not allow to insert java packages in templates.
-Do not allow to insert db prefixes in templates.
-Do not show templates in module combo when assigning AD elements (windows, tabs, references, etc.)
(0021994)
iperdomo (developer)
2009-11-18 23:22

The message should say: "Data packages are not allowed, instead of Java Packages".
Attached you'll find a screenshot.
(0022005)
hgbot (developer)
2009-11-19 08:05

Repository: erp/devel/pi
Changeset: 2fe0cdebf4276e12afe1a833f709b159a456d0dd
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Nov 19 08:04:43 2009 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/2fe0cdebf4276e12afe1a833f709b159a456d0dd [^]

fixed bug 11029: Message says data package instead of java package

---
M src-db/database/model/triggers/AD_PACKAGE_JP_TRG.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---

- Issue History
Date Modified Username Field Change
2009-10-19 10:33 iperdomo New Issue
2009-10-19 10:33 iperdomo Assigned To => alostale
2009-10-19 10:35 iperdomo Tag Attached: Modularity
2009-10-19 10:36 iperdomo Note Added: 0021153
2009-10-19 10:36 iperdomo version 2.40MP5 => 2.50MP5
2009-10-28 09:14 psarobe Status new => scheduled
2009-10-28 09:14 psarobe fix_in_branch => pi
2009-11-17 10:40 hgbot Checkin
2009-11-17 10:40 hgbot Note Added: 0021907
2009-11-17 10:40 hgbot Status scheduled => resolved
2009-11-17 10:40 hgbot Resolution open => fixed
2009-11-17 10:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9e2261a24770d2a14eb7eff7e04617a4112c8528 [^]
2009-11-17 10:41 alostale Note Added: 0021908
2009-11-18 23:20 iperdomo Status resolved => new
2009-11-18 23:20 iperdomo Resolution fixed => open
2009-11-18 23:21 iperdomo File Added: java-package1.png
2009-11-18 23:22 iperdomo Note Added: 0021994
2009-11-18 23:23 iperdomo Status new => scheduled
2009-11-19 08:05 hgbot Checkin
2009-11-19 08:05 hgbot Note Added: 0022005
2009-11-19 08:05 hgbot Status scheduled => resolved
2009-11-19 08:05 hgbot Resolution open => fixed
2009-11-19 08:05 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/9e2261a24770d2a14eb7eff7e04617a4112c8528 [^] => http://code.openbravo.com/erp/devel/pi/rev/2fe0cdebf4276e12afe1a833f709b159a456d0dd [^]
2009-11-19 10:33 iperdomo Status resolved => closed
2009-11-20 00:00 anonymous sf_bug_id 0 => 2900814


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker